Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle
Class CheckStyleTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.puppycrawl.tools.checkstyle.CheckStyleTask

public class CheckStyleTask
extends org.apache.tools.ant.Task

An implementation of a ANT task for calling checkstyle. See the documentation of the task for usage.

Author:
  Oliver Burn

Nested Class Summary
`static class` | `CheckStyleTask.Formatter` Details about a formatter to be used.
`static class` | `CheckStyleTask.FormatterType` Poor mans enumeration for the formatter types.
`static class` | `CheckStyleTask.Listener` Represents a custom listener.
`static class` | `CheckStyleTask.Property` Represents a property that consists of a key and value.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`CheckStyleTask()`

Method Summary
`void` | `addFileset(org.apache.tools.ant.types.FileSet aFS)` Adds a set of files (nested fileset attribute).
`void` | `addFormatter(CheckStyleTask.Formatter aFormatter)` Add a formatter.
`void` | `addProperty(CheckStyleTask.Property aProperty)` Add an override property.
`org.apache.tools.ant.types.Path` | `createClasspath()`
`void` | `execute()` Actually checks the files specified.
`protected AuditListener[]` | `getListeners()` Return the list of listeners set in this task.
`protected java.io.File[]` | `scanFileSets()` returns the list of files (full path name) to process.
`void` | `setClasspath(org.apache.tools.ant.types.Path aClasspath)` Set the class path.
`void` | `setClasspathRef(org.apache.tools.ant.types.Reference aClasspathRef)` Set the class path from a reference defined elsewhere.
`void` | `setConfig(java.io.File aFile)`
`void` | `setConfigURL(java.net.URL aURL)`
`void` | `setFailOnViolation(boolean aFail)`
`void` | `setFailureProperty(java.lang.String aPropertyName)` Tells this task to set the named property to "true" when there is a violation.
`void` | `setFile(java.io.File aFile)`
`void` | `setPackageNamesFile(java.io.File aFile)`
`void` | `setProperties(java.io.File aProps)` Sets a properties file for use instead of individually setting them.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorOutput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckStyleTask

    public CheckStyleTask()

Method Detail

### setFailureProperty

    public void setFailureProperty(java.lang.String aPropertyName)

  Tells this task to set the named property to "true" when there is a violation.

  Parameters:
    `aPropertyName` - the name of the property to set in the event of an failure.

### setFailOnViolation

    public void setFailOnViolation(boolean aFail)

  Parameters:
    `aFail` - whether to fail if a violation is found

### addFileset

    public void addFileset(org.apache.tools.ant.types.FileSet aFS)

  Adds a set of files (nested fileset attribute).

  Parameters:
    `aFS` - the file set to add

### addFormatter

    public void addFormatter(CheckStyleTask.Formatter aFormatter)

  Add a formatter.

  Parameters:
    `aFormatter` - the formatter to add for logging.

### addProperty

    public void addProperty(CheckStyleTask.Property aProperty)

  Add an override property.

  Parameters:
    `aProperty` - the property to add

### setClasspath

    public void setClasspath(org.apache.tools.ant.types.Path aClasspath)

  Set the class path.

  Parameters:
    `aClasspath` - the path to locate classes

### setClasspathRef

    public void setClasspathRef(org.apache.tools.ant.types.Reference aClasspathRef)

  Set the class path from a reference defined elsewhere.

  Parameters:
    `aClasspathRef` - the reference to an instance defining the classpath

### createClasspath

    public org.apache.tools.ant.types.Path createClasspath()

  Returns:
    a created path for locating classes

### setFile

    public void setFile(java.io.File aFile)

  Parameters:
    `aFile` - the file to be checked

### setConfig

    public void setConfig(java.io.File aFile)

  Parameters:
    `aFile` - the configuration file to use

### setConfigURL

    public void setConfigURL(java.net.URL aURL)

  Parameters:
    `aURL` - the URL of the configuration to use

### setPackageNamesFile

    public void setPackageNamesFile(java.io.File aFile)

  Parameters:
    `aFile` - the package names file to use

### setProperties

    public void setProperties(java.io.File aProps)

  Sets a properties file for use instead of individually setting them.

  Parameters:
    `aProps` - the properties File to use

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Actually checks the files specified. All errors are reported to System.out. Will fail if any errors occurred.

  Throws:
    `org.apache.tools.ant.BuildException` - an error occurred

### getListeners

    protected AuditListener[] getListeners()
                                    throws java.lang.ClassNotFoundException,
                                           java.lang.InstantiationException,
                                           java.lang.IllegalAccessException,
                                           java.io.IOException

  Return the list of listeners set in this task.

  Returns:
    the list of listeners.
  Throws:
    `java.lang.ClassNotFoundException` - if an error occurs
    `java.lang.InstantiationException` - if an error occurs
    `java.lang.IllegalAccessException` - if an error occurs
    `java.io.IOException` - if an error occurs

### scanFileSets

    protected java.io.File[] scanFileSets()

  returns the list of files (full path name) to process.

  Returns:
    the list of files included via the filesets.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD